using System;
using System.IO;
using System.Diagnostics;

namespace Verze_souboru
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Zjištění verze souboru";

         // Zjištění plného jména souboru kernel32.dll 
         string fileName = Path.Combine(Environment.SystemDirectory,
            "kernel32.dll");

         // Zjištění informací o verzi
         FileVersionInfo fileVersionInfo = FileVersionInfo.GetVersionInfo(fileName);

         // Výpis verze
         Console.WriteLine("Verze souboru {0}", fileName);
         Console.WriteLine("Hlavní: {0}", fileVersionInfo.FileMajorPart);
         Console.WriteLine("Vedlejší: {0}", fileVersionInfo.FileMinorPart);
         Console.WriteLine("Sestavení: {0}", fileVersionInfo.FileBuildPart);
         Console.WriteLine("Revize: {0}", fileVersionInfo.FilePrivatePart);
         Console.WriteLine("Verze: {0}", fileVersionInfo.FileVersion);

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
